NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.StepBuilder Class Reference

Represents a NXOpen.Features.Step builder More...

Inheritance diagram for NXOpen.Features.StepBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ChamferMethods { RuledFace, VariableOffsetFace }
 Represents face operation applied to the chamfer method More...
 
enum  DepthMethods { OffsetFace, ToSelected }
 Represents face operations applied to the motion face More...
 
enum  ReferenceBoundaryTypes {
  Face, DatumPlane, Curve, Edge,
  ShareFirst
}
 Represents selected type as reference boundary object More...
 
enum  StepFaceMethods {
  Normal, AlignwithReferenceFace, RuledRamp, VariableOffsetRamp,
  Blend, CliffBlend
}
 Represents face operations applied to the step face More...
 
enum  StepLocations { End, Middle }
 Represents the step location More...
 
enum  StepNewTypes { Thick, Thin, Jog, Chamfer }
 Represents the step feature new type since NX12 More...
 
enum  StepTypes { End, Middle, Chamfer }
 Represents the step feature type More...
 
enum  StepWallMethods {
  Normal, OffsetofStepFace, RuledRamp, VariableOffsetRamp,
  Blend, CliffBlend, ExtendtoNext, ExtendtoSelected
}
 Represents face operation applied to the step wall face More...
 

Properties

unsafe NXOpen.ScCollector BeltFace [get]
 Returns the selected belt face More...
 
unsafe NXOpen.Expression BoundaryOffsetDim1 [get]
 Returns the boundary offset dimesion 1 More...
 
unsafe NXOpen.Expression BoundaryOffsetDim2 [get]
 Returns the boundary offset dimension 2 More...
 
unsafe
NXOpen.Features.StepBuilder.ChamferMethods 
ChamferMethod [get, set]
 Returns or sets the chamfer methods More...
 
unsafe bool ChangeWallThickness [get, set]
 Returns or sets the change wall thickness More...
 
unsafe
NXOpen.Features.StepBuilder.DepthMethods 
DepthMethod [get, set]
 Returns or sets the selected step depth method More...
 
unsafe bool KeepWallThickness [get, set]
 Returns or sets the keep wall thickness More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDirection1 [get]
 Returns the project direction options used to project boundary section curve 1 onto the belt face More...
 
unsafe
NXOpen.GeometricUtilities.ProjectionOptions 
ProjectionDirection2 [get]
 Returns the project direction options used to project boundary section curve 2 onto the belt face More...
 
unsafe
NXOpen.Features.StepBuilder.ReferenceBoundaryTypes 
RefObjectType1 [get, set]
 Returns or sets the reference object type 1 More...
 
unsafe
NXOpen.Features.StepBuilder.ReferenceBoundaryTypes 
RefObjectType2 [get, set]
 Returns or sets the reference object type 2 More...
 
unsafe bool ReverseBoundary1Direction [get, set]
 Returns or sets the reverse offset reference object 1 direction More...
 
unsafe bool ReverseBoundary2Direction [get, set]
 Returns or sets the reverse offset reference object 2 direction More...
 
unsafe bool ReverseDepthDirection [get, set]
 Returns or sets the reverse offset face direction More...
 
unsafe bool ReverseMotionSide [get, set]
 Returns or sets the reverse motion side More...
 
unsafe NXOpen.ScCollector SelectBoundaryEdge1 [get]
 Returns the selected boundary edge 1 More...
 
unsafe NXOpen.ScCollector SelectBoundaryEdge2 [get]
 Returns the selected boundary edge2 More...
 
unsafe NXOpen.ScCollector SelectBoundaryFace1 [get]
 Returns the selected boundary face 1 More...
 
unsafe NXOpen.ScCollector SelectBoundaryFace2 [get]
 Returns the selected boundary face 2 More...
 
unsafe NXOpen.Plane SelectBoundaryPlane1 [get, set]
 Returns or sets the selected boundary plane 1 More...
 
unsafe NXOpen.Plane SelectBoundaryPlane2 [get, set]
 Returns or sets the selected boundary plane 2 More...
 
unsafe NXOpen.Section SelectBoundarySection1 [get]
 Returns the selected boundary section 1 More...
 
unsafe NXOpen.Section SelectBoundarySection2 [get]
 Returns the selected boundary section2 More...
 
unsafe NXOpen.ScCollector SelectReplacementFace [get]
 Returns the selected replacement face More...
 
unsafe NXOpen.ScCollector SelectStepWallReplmFace1 [get]
 Returns the selected step wall replacement face 1 More...
 
unsafe NXOpen.ScCollector SelectStepWallReplmFace2 [get]
 Returns the selected step wall replacement face 2 More...
 
unsafe NXOpen.Expression SpecifiedWallThicknessDim [get]
 Returns the wall thickness dimension More...
 
unsafe NXOpen.Expression StepBlendRadiusDim1 [get]
 Returns the step blend radius dimension 1 More...
 
unsafe NXOpen.Expression StepBlendRadiusDim2 [get]
 Returns the step blend radius dimension 2 More...
 
unsafe NXOpen.Expression StepDepthDim [get]
 Returns the step depth dimension More...
 
unsafe
NXOpen.Features.StepBuilder.StepFaceMethods 
StepFaceMethod1 [get, set]
 Returns or sets the step face method 1 More...
 
unsafe
NXOpen.Features.StepBuilder.StepFaceMethods 
StepFaceMethod2 [get, set]
 Returns or sets the step face method 2 More...
 
unsafe
NXOpen.Features.StepBuilder.StepLocations 
StepLocation [get, set]
 Returns or sets the step location More...
 
unsafe
NXOpen.Features.StepBuilder.StepNewTypes 
StepNewType [get, set]
 Returns or sets the step new type More...
 
unsafe NXOpen.Expression StepRampDim1 [get]
 Returns the step ramp dimension 1 More...
 
unsafe NXOpen.Expression StepRampDim2 [get]
 Returns the step ramp dimension 2 More...
 
unsafe
NXOpen.Features.StepBuilder.StepTypes 
StepType [get, set]
 Returns or sets the step type More...
 
unsafe NXOpen.Expression StepWallBlendRadiusDim1 [get]
 Returns the step wall blend radius dimension 1 More...
 
unsafe NXOpen.Expression StepWallBlendRadiusDim2 [get]
 Returns the step wall blend radius dimension 2 More...
 
unsafe
NXOpen.Features.StepBuilder.StepWallMethods 
StepWallMethod1 [get, set]
 Returns or sets the step wall method 1 More...
 
unsafe
NXOpen.Features.StepBuilder.StepWallMethods 
StepWallMethod2 [get, set]
 Returns or sets the step wall method 2 More...
 
unsafe NXOpen.Expression StepWallRampDim1 [get]
 Returns the step wall ramp dimension 1 More...
 
unsafe NXOpen.Expression StepWallRampDim2 [get]
 Returns the step wall ramp dimension 2 More...
 
unsafe NXOpen.Expression StepWallThickDim1 [get]
 Returns the step wall thickness dimension 1 More...
 
unsafe NXOpen.Expression StepWallThickDim2 [get]
 Returns the step wall thickness dimension 2 More...
 
unsafe
NXOpen.Features.StepBuilder.StepNewTypes 
Type [get, set]
 Returns or sets the step flat type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.Step builder

To create a new instance of this class, use NXOpen.Features.AeroCollection.CreateStepBuilder

Default values.

Property Value

BoundaryOffsetDim1.Value

10 (millimeters part), 0.5 (inches part)

BoundaryOffsetDim2.Value

10 (millimeters part), 0.5 (inches part)

ChamferMethod

RuledFace

ChangeWallThickness

0

DepthMethod

OffsetFace

KeepWallThickness

0

RefObjectType1

Edge

RefObjectType2

Edge

ReverseDepthDirection

True

SpecifiedWallThicknessDim.Value

5 (millimeters part), 0.25 (inches part)

StepBlendRadiusDim1.Value

1 (millimeters part), 0.1 (inches part)

StepBlendRadiusDim2.Value

1 (millimeters part), 0.1 (inches part)

StepDepthDim.Value

10 (millimeters part), 0.5 (inches part)

StepFaceMethod1

Normal

StepFaceMethod2

Normal

StepLocation

End

StepNewType (deprecated)

Thick

StepRampDim1.Value

10 (millimeters part), 0.5 (inches part)

StepRampDim2.Value

10 (millimeters part), 0.5 (inches part)

StepType

End

StepWallBlendRadiusDim1.Value

1 (millimeters part), 0.1 (inches part)

StepWallBlendRadiusDim2.Value

1 (millimeters part), 0.1 (inches part)

StepWallMethod1

Normal

StepWallMethod2

Normal

StepWallRampDim1.Value

10 (millimeters part), 0.5 (inches part)

StepWallRampDim2.Value

10 (millimeters part), 0.5 (inches part)

StepWallThickDim1.Value

10 (millimeters part), 0.5 (inches part)

StepWallThickDim2.Value

10 (millimeters part), 0.5 (inches part)

Type

Thick

Created in NX10.0.0

Member Enumeration Documentation

Represents face operation applied to the chamfer method

Enumerator
RuledFace 

Chamfer with a ruled face

VariableOffsetFace 

Chamfer with a variable offset face

Represents face operations applied to the motion face

Enumerator
OffsetFace 

Offsets the motion face to produce a step

ToSelected 

Replaces the motion face with a selected face to produce a step

Represents selected type as reference boundary object

Enumerator
Face 

Select faces as reference boundary object

DatumPlane 

Select datum plane as reference boundary object

Curve 

Select section curves as reference boundary object

Edge 

Select edges as reference boundary object

ShareFirst 

Represents face operations applied to the step face

Enumerator
Normal 

Orients the step face normal to the stationary face

AlignwithReferenceFace 

Aligns the step face with the reference face

RuledRamp 

Replaces the step face with a ruled ramp face

VariableOffsetRamp 

Replaces the step face with a variable offset ramp face

Blend 

Blends the step face with offset to the tangent edge of the blend

CliffBlend 

Blends the step face with offset to the cliff edge of the blend

Represents the step location

Enumerator
End 

Step is located on one side of a face.

Middle 

Step is located on middle of two boudary curves

Represents the step feature new type since NX12

Enumerator
Thick 

Adds a step to thick a face.

Thin 

Adds a step to thin a face.

Jog 

Adds a step to thin a belt face and wall face.

Chamfer 

Adds a step at the edge of a face similar to a chamfer

Represents the step feature type

Enumerator
End 

Adds a step from a boundary to the edge of a face.

Middle 

Adds a step between two boundary curves

Chamfer 

Adds a step at the edge of a face similar to a chamfer

Represents face operation applied to the step wall face

Enumerator
Normal 

Orients the step-wall face normal to the input face

OffsetofStepFace 

Makes the step-wall face offset from the step face

RuledRamp 

Replaces the step-wall face with a ruled ramp face

VariableOffsetRamp 

Replaces the step-wall face with a variable offset ramp face

Blend 

Blends the step-wall face with offset to the tangent edge of the blend

CliffBlend 

Blends the step-wall face with offset to the cliff edge of the blend

ExtendtoNext 

Extends the wall face to intersect the next face

ExtendtoSelected 

Extends the wall face to a selected face

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.BeltFace
get

Returns the selected belt face

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.BoundaryOffsetDim1
get

Returns the boundary offset dimesion 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.BoundaryOffsetDim2
get

Returns the boundary offset dimension 2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.ChamferMethods NXOpen.Features.StepBuilder.ChamferMethod
getset

Returns or sets the chamfer methods

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.ChangeWallThickness
getset

Returns or sets the change wall thickness

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.DepthMethods NXOpen.Features.StepBuilder.DepthMethod
getset

Returns or sets the selected step depth method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.KeepWallThickness
getset

Returns or sets the keep wall thickness

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.StepBuilder.ProjectionDirection1
get

Returns the project direction options used to project boundary section curve 1 onto the belt face

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ProjectionOptions NXOpen.Features.StepBuilder.ProjectionDirection2
get

Returns the project direction options used to project boundary section curve 2 onto the belt face

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.ReferenceBoundaryTypes NXOpen.Features.StepBuilder.RefObjectType1
getset

Returns or sets the reference object type 1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.ReferenceBoundaryTypes NXOpen.Features.StepBuilder.RefObjectType2
getset

Returns or sets the reference object type 2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.ReverseBoundary1Direction
getset

Returns or sets the reverse offset reference object 1 direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.ReverseBoundary2Direction
getset

Returns or sets the reverse offset reference object 2 direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.ReverseDepthDirection
getset

Returns or sets the reverse offset face direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe bool NXOpen.Features.StepBuilder.ReverseMotionSide
getset

Returns or sets the reverse motion side

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectBoundaryEdge1
get

Returns the selected boundary edge 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectBoundaryEdge2
get

Returns the selected boundary edge2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectBoundaryFace1
get

Returns the selected boundary face 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectBoundaryFace2
get

Returns the selected boundary face 2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.StepBuilder.SelectBoundaryPlane1
getset

Returns or sets the selected boundary plane 1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Plane NXOpen.Features.StepBuilder.SelectBoundaryPlane2
getset

Returns or sets the selected boundary plane 2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Section NXOpen.Features.StepBuilder.SelectBoundarySection1
get

Returns the selected boundary section 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.StepBuilder.SelectBoundarySection2
get

Returns the selected boundary section2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectReplacementFace
get

Returns the selected replacement face

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectStepWallReplmFace1
get

Returns the selected step wall replacement face 1

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.StepBuilder.SelectStepWallReplmFace2
get

Returns the selected step wall replacement face 2

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.SpecifiedWallThicknessDim
get

Returns the wall thickness dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepBlendRadiusDim1
get

Returns the step blend radius dimension 1

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepBlendRadiusDim2
get

Returns the step blend radius dimension 2

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepDepthDim
get

Returns the step depth dimension

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.StepFaceMethods NXOpen.Features.StepBuilder.StepFaceMethod1
getset

Returns or sets the step face method 1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.StepFaceMethods NXOpen.Features.StepBuilder.StepFaceMethod2
getset

Returns or sets the step face method 2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.StepLocations NXOpen.Features.StepBuilder.StepLocation
getset

Returns or sets the step location

Created in NX12.0.0

License requirements to get this property: nx_aero_design (" NX Aero Design")

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.StepNewTypes NXOpen.Features.StepBuilder.StepNewType
getset

Returns or sets the step new type

Created in NX12.0.0

Deprecated in NX12.0.1. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepRampDim1
get

Returns the step ramp dimension 1

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepRampDim2
get

Returns the step ramp dimension 2

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.StepTypes NXOpen.Features.StepBuilder.StepType
getset

Returns or sets the step type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallBlendRadiusDim1
get

Returns the step wall blend radius dimension 1

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallBlendRadiusDim2
get

Returns the step wall blend radius dimension 2

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.StepWallMethods NXOpen.Features.StepBuilder.StepWallMethod1
getset

Returns or sets the step wall method 1

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Features.StepBuilder.StepWallMethods NXOpen.Features.StepBuilder.StepWallMethod2
getset

Returns or sets the step wall method 2

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallRampDim1
get

Returns the step wall ramp dimension 1

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallRampDim2
get

Returns the step wall ramp dimension 2

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallThickDim1
get

Returns the step wall thickness dimension 1

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.StepBuilder.StepWallThickDim2
get

Returns the step wall thickness dimension 2

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.StepBuilder.StepNewTypes NXOpen.Features.StepBuilder.Type
getset

Returns or sets the step flat type

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_aero_design (" NX Aero Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.